angular.module('starter.controllers')

//====================================
// About Menu Controller
//====================================
.controller('AboutMenuCtrl', function($scope,$state,$ionicLoading,
																$ionicPopup,
																$sce,
																KBToast,
																AboutContentManager,
																LocalStorage,
																Airstation){

	

	//--------------------------------
	// Function
	//--------------------------------
	var ShowUpdateFailDialog = function(){
		var alertPopup = $ionicPopup.alert({
			title: $scope.t.dialog_update_about_fail_title,
			template: $scope.t.dialog_update_about_fail_content,
			okText: $scope.t.ok_button,
			okType: 'button-assertive',
			cssClass: 'confirm-dialog',
		});

		alertPopup.then(function(res){
		});
	}

	/*
	var GetAboutData = function(sccuess,fail){
		console.log("GetAboutData",$scope.settings.lg);

		var bGetAboutDataServer = true;

		if ($scope.account.bGetAboutData === true){
			try{
				if(typeof $scope.ds.about[$scope.settings.lg] !== 'undefined' && $scope.ds.about[$scope.settings.lg] !== null){
					bGetAboutDataServer = false;
				}
				else{
					bGetAboutDataServer = true;
				}
			}
			catch(e){
				bGetAboutDataServer = true;
			}
		}
		else{

			//Read About Data from Local Storage
			$scope.ds.about = LocalStorage.getObject('about');

			//Get latest About data from server every time launch the app
			bGetAboutDataServer = true;
		}

		if(bGetAboutDataServer === false){
			console.log("About Data Exist In Local");
			//console.log($scope.account);
			sccuess();
		}
		else{
			//Get Personal Chart From Server
			$ionicLoading.show({template:'<i class="icon ion-ios7-reloading font-xxl"></i>'});
			console.log("Get About Data From Server");
			Airstation.list(
				{
					app:'hdapp',
					resource:'about',
					lg: $scope.settings.lg
				},
				function(rpn_data){
					//2.1 Success Handle
					console.log("Get About Data Success",$scope.ds.about,rpn_data);

					if(typeof $scope.ds.about === 'undefined' || $scope.ds.about === null){
						$scope.ds.about = {}
					}

					_.each(rpn_data,function(item) {
						item.content = $sce.trustAsHtml(item.content);
					});
					
					$scope.ds.about[$scope.settings.lg] = rpn_data;

					LocalStorage.setObject('about', $scope.ds.about);

					if($scope.account.bGetAboutData === false){
						$scope.account.bGetAboutData = true;
					}

					$ionicLoading.hide();
					sccuess();
				},
				function(error) {
					//2.1 Fail Handle
					//KBToast.error('failed to get personal chart list');
					$ionicLoading.hide();

					//Fail to get about data
					if($scope.account.bGetAboutData === false){
						//get data from local storage
						$scope.account.bGetAboutData = true;
					}

					ShowUpdateFailDialog();
					fail();
				}
			);
		}
	}*/

	var RefreshAboutData = function(){

		$ionicLoading.show({template: '<i class="fa fa-circle-o-notch fa-spin fa-2x fa-fw"></i>'});
		AboutContentManager.getAboutContent($scope.ds.about,$scope.settings.lg,
			function(about){
				//Success
				$scope.ds.about = about;
				$scope.refresh = false;
				$scope.abouts = $scope.ds.about[$scope.settings.lg];
				$scope.abouts.sort(function(a,b){return a.order - b.order});
				$ionicLoading.hide();
				//console.log($scope.abouts)
			},
			function(about){
				//Fail
				$ionicLoading.hide();
				ShowUpdateFailDialog();
				$scope.refresh = false;
			}
		);
	}

	$scope.doRefresh = function(){
		console.log('Do doRefresh')
		$scope.refresh = true;
		$scope.ds.about[$scope.settings.lg] = null;
		RefreshAboutData();
	}


	$scope.OnClickMenu = function(name){

		console.log('OnClickMenu',name);
		$scope.ds.about_detail = _.findWhere($scope.abouts,{name:name});
		$state.go('app.about.general');
	}

	//--------------------------------
	// Event
	//--------------------------------
	$scope.$on('$ionicView.beforeEnter', function () {
		
		console.log('AboutMenuCtrl beforeEnter' , $scope.ds.about)
		$ionicLoading.show({template: '<i class="fa fa-circle-o-notch fa-spin fa-2x fa-fw"></i>'});
		AboutContentManager.getAboutContent($scope.ds.about,$scope.settings.lg,
			function(about){
				$ionicLoading.hide();
				$scope.ds.about = about;
				//Success
				$scope.abouts = $scope.ds.about[$scope.settings.lg]
				$scope.abouts.sort(function(a,b){return a.order - b.order});
				//console.log($scope.abouts)
			},
			function(about){
				//Fail
				$ionicLoading.hide();
				ShowUpdateFailDialog();
				$scope.abouts = $scope.ds.about[$scope.settings.lg]
				$scope.abouts.sort(function(a,b){return a.order - b.order});
			}
		);
		
	});// end of $ionicView.beforeEnter

	$scope.$watch('refresh', function(newVal, oldVal){
		if(newVal !== oldVal && newVal === false){
			$scope.$broadcast('scroll.refreshComplete');
		}
	});

	//--------------------------------
	// Valuable Define 
	//--------------------------------
	$scope.abouts = {};
	$scope.refresh = false;

})

//====================================
// About Humandesign Controller
//====================================
.controller('AboutHumandesignCtrl', function($scope,$state,KBToast){

	

	//--------------------------------
	// Function
	//--------------------------------


	//--------------------------------
	// Event
	//--------------------------------

	//--------------------------------
	// Valuable Define 
	//--------------------------------

})

//====================================
// About Ra Uru Hu Controller
//====================================
.controller('AboutRaUruHuCtrl', function($scope,$state,KBToast){

	

	//--------------------------------
	// Function
	//--------------------------------


	//--------------------------------
	// Event
	//--------------------------------

	//--------------------------------
	// Valuable Define 
	//--------------------------------

})

//====================================
// About HD report Controller
//====================================
.controller('AboutHDreportCtrl', function($scope,$state,KBToast){

	

	//--------------------------------
	// Function
	//--------------------------------


	//--------------------------------
	// Event
	//--------------------------------

	//--------------------------------
	// Valuable Define 
	//--------------------------------

})

//====================================
// About General Controller
//====================================
.controller('AboutGeneralCtrl', function($scope,$state,$sce,KBToast){



	

	//--------------------------------
	// Function
	//--------------------------------


	//--------------------------------
	// Event
	//--------------------------------

	//--------------------------------
	// Valuable Define 
	//--------------------------------

})









