angular.module('starter.controllers')

//------------------------------------
// Personal Chart Report Controller v2
//------------------------------------
.controller('CenterReportCtrl', function($scope,$state,$stateParams,
														$ionicGesture,
														$ionicSlideBoxDelegate,
														ReportManager) {
	/*
	$scope.next = function(){
		$scope.curSlideIndex += 1
	}

	$scope.previous = function(){
		$scope.curSlideIndex -= 1
	}*/

	$scope.next = function() {
		$ionicSlideBoxDelegate.next();
	};

	$scope.previous = function() {
		$ionicSlideBoxDelegate.previous();
	};

	$scope.OnSlideChanged = function(index) {
		$scope.curSlideIndex = index;

		console.log(index)
	}

	$scope.GetCenterImage = function(id,IsDefined){
		return ReportManager.getCenterImage(id,$scope.ds.center_reports.gender,IsDefined)
	}

	//----------------------------
	// Event
	//----------------------------
	$scope.$on('$ionicView.beforeEnter', function () {
		console.log('CenterReportCtrl before enter')

		$scope.curSlideIndex = $scope.ds.center_reports.displayIndex;
		$scope.NoOfSlide = $scope.ds.center_reports.data.length;

	});

	$scope.$on('$ionicView.afterEnter', function () {

		$scope.activeSlide = $scope.ds.center_reports.displayIndex;
		$scope.ready = true
		$ionicSlideBoxDelegate.update();
	});

	/*
	var element = angular.element(document.querySelector('#eventPlaceholder'));

	$ionicGesture.on('swipeleft', function (event) {
		console.log('swipeleft')
		if($scope.curSlideIndex < $scope.NoOfSlide - 1){
			$scope.next();
			$scope.$apply();
		}
	},element);

	$ionicGesture.on('swiperight', function (event) {
		console.log('swiperight')
		if($scope.curSlideIndex > 0){
			$scope.previous();
			$scope.$apply();
		}
	},element);
	*/
	
	$scope.curSlideIndex = 0;
	$scope.NoOfSlide = 0;
	$scope.ready = false
	

})