angular.module('starter.controllers')

//------------------------------------
// Personal Chart Report Controller v2
//------------------------------------
.controller('GateReportCtrl', function($scope,$state,$stateParams,
														$ionicGesture,
														$ionicSlideBoxDelegate,
														ReportManager) {

	$scope.next = function() {
		$ionicSlideBoxDelegate.next();
	};

	$scope.previous = function() {
		$ionicSlideBoxDelegate.previous();
	};

	$scope.OnSlideChanged = function(index) {
		$scope.curSlideIndex = index;
	}

	$scope.GetGateImage = function(gate){
		return ReportManager.getGateImage(gate,$scope.ds.gate_reports.gender)
	}

	//----------------------------
	// Event
	//----------------------------
	$scope.$on('$ionicView.beforeEnter', function () {
		console.log('GateReportCtrl before enter')

		$scope.curSlideIndex = $scope.ds.gate_reports.displayIndex;
		$scope.NoOfSlide = $scope.ds.gate_reports.data.length;

	});

	$scope.$on('$ionicView.afterEnter', function () {

		$scope.activeSlide = $scope.ds.gate_reports.displayIndex;
		$scope.ready = true
		$ionicSlideBoxDelegate.update();
	});
	
	$scope.curSlideIndex = 0;
	$scope.NoOfSlide = 0;
	$scope.ready = false
	

})